[[populator.namespace-reference]]
[appendix]
[[populators-namespace-reference]]
= Populators namespace reference
:page-section-summary-toc: 1

[[namespace-dao-config]]
== The <populator /> element
The `<populator />` element allows to populate a data store via the Spring Data repository infrastructure.footnote:[see xref:repositories/create-instances.adoc#repositories.create-instances.xml[XML Configuration]]

.Attributes
[options="header", cols="1,3"]
|===============
|Name|Description
|`locations`|Where to find the files to read the objects from the repository shall be populated with.
|===============

